Subject: Re: gcc 2.7-b19 on gnu-win32 b19 generating bad asm
From: [email-masked] (Fergus Henderson)

31 Jul 1998 15:33:56 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
To: Sam Holden <[email-masked]>
Cc: [email-masked]

On 29-Jul-1998, Sam Holden <[email-masked]> wrote:
> Fergus Henderson writes:
> >GNU C version 2.7-b19 on gnu-win32 version b19.1 (intel x86)
> >generates bad assembler for the following program.  The program
> >(cut down from C code automatically generated by the Mercury compiler)
> >is not strictly conforming, but even so, the generated assembler
> >is pretty nonsensical.  This worked fine in b18.
> >
> >To reproduce the problem, compile the following program with `gcc -O2 -S'.
....
> Of course if it really did work with b18 then I will be completely wrong.

Yes, it really did work with b18.

> Also if gcc has been patched on cygwin32 I'll be wrong. But anyway...
....
> Using -O2 to me is a lot risky since my docs say :
> 
> Users of gcc 2.7.0 thru 2.7.2 should note that there is a bug in -O2 on
> these. Specifically, strength reduction doesn't work.

That wasn't the problem here.

BTW, the bug I reported has indeed been fixed in egcs 1.0.2.

-- 
Fergus Henderson <[email-masked]>  |  "I have always known that the pursuit
WWW: <http://www.cs.mu.oz.au/~fjh>  |  of excellence is a lethal habit"
PGP: finger [email-masked]        |     -- the last words of T. S. Garp.
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".